#pragma once

#include <maps/libs/json/include/value.h>
#include <maps/libs/geolib/include/point.h>

#include <optional>
#include <string>

namespace maps::wiki::fbapi {

class Parking
{
public:
    explicit Parking(json::Value data);

    std::optional<geolib3::Point2> center() const;
    geolib3::PointsVector entrances() const;

private:
    const json::Value data_;
};

} // namespace maps::wiki::fbapi
